glab(1)

NAME

glab-mr-create - Create new merge request

SYNOPSIS

glab mr create [flags]

DESCRIPTION

Create new merge request

OPTIONS

--allow-collaboration[=false]
    Allow commits from other members

-a, --assignee=[]
    Assign merge request to people by their usernames

--copy-issue-labels[=false]
    Copy labels from issue to the merge request. Used with --related-issue

--create-source-branch[=false]
    Create source branch if it does not exist

-d, --description=""
    Supply a description for merge request

--draft[=false]
    Mark merge request as a draft

-f, --fill[=false]
    Do not prompt for title/description and just use commit info. Sets push to true, and pushes the branch.

--fill-commit-body[=false]
    Fill description with each commit body when multiple commits. Can only be used with --fill

-H, --head=""
    Select another head repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or the project ID or full URL

-l, --label=[]
    Add label by name. Multiple labels should be comma separated

-m, --milestone=""
    The global ID or title of a milestone to assign

--no-editor[=false]
    Don't open editor to enter description. If set to true, uses prompt. (default false)

--push[=false]
    Push committed changes after creating merge request. Make sure you have committed changes

--recover[=false]
    Save the options to a file if the merge request fails to be created. If the file exists, the options will be loaded from the recovery file (EXPERIMENTAL)

-i, --related-issue=""
    Create merge request for an issue. The merge request title will be created from the issue if --title is not provided.

--remove-source-branch[=false]
    Remove Source Branch on merge

--reviewer=[]
    Request review from users by their usernames

--signoff[=false]
    Append a DCO signoff to the merge request description.

-s, --source-branch=""
    The Branch you are creating the merge request. Default is the current branch.

--squash-before-merge[=false]
    Squash commits into a single commit when merging

-b, --target-branch=""
    The target or base branch into which you want your code merged

-t, --title=""
    Supply a title for merge request

-w, --web[=false]
    continue merge request creation on web browser

--wip[=false]
    Mark merge request as a work in progress. Alternative to --draft

-y, --yes[=false]
    Skip submission confirmation prompt, with --fill it skips all optional prompts

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab mr new
    glab mr create -a username -t "fix annoying bug"
    glab mr create -f --draft --label RFC
    glab mr create --fill --web
    glab mr create --fill --fill-commit-body --yes

SEE ALSO

glab-mr(1)